%define name 	ezusbmidi
%define version 2002_10_20
%define release 3mdk

Summary: 	Firmware drivers for EZUSB MIDI devices
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-patch.bz2
Patch1:		%{name}-sdcc.patch.bz2
Patch2:		%{name}-patch3.bz2
License: 	GPL
URL: 		http://linux-hotplug.sourceforge.net
Group: 		System/Kernel and hardware
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch: 	noarch
Requires: 	fxload hotplug
BuildRequires: 	linuxdoc-tools sdcc

%description
This program is an USB-MIDI compliant firmware for the EZUSB chip
(AN2131SC) developed to make an USB-MIDI adapter to run with Linux.
It runs with these USB-MIDI devices:
- Midiman Midisport 1x1
- Midiman Midisport 2x2
- Midiman Midisport UNO
- Steinberg USB-2-MIDI
Author: Lars Doelle <lars.doelle@on-line.de>

%prep
%setup
%patch0 -p1
%patch1
%patch2 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /usr/sbin/update-usb.usermap
%postun -p /usr/sbin/update-usb.usermap

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog descriptor.png KnownBugs README Hotplug/Hotplugging *.html
%config(noreplace) %_sysconfdir/hotplug/usb/ezusbmidi
%_datadir/usb/ezusbmidi
%_libdir/hotplug/ezusbmidi

%changelog
* Sun Dec 28 2003 Austin Acton <austin@linux.ca> 2002_10_20-3mdk
- rebuild with fixed sdcc

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 2002_10_20-2mdk
- sweet help from Pedro Lopez-Cabanillas <plcl@bigfoot.com> :
  - fxload is at /usr/sbin

* Wed Apr 30 2003 Austin Acton <aacton@yorku.ca> 2002_10_20-1mdk
- port to Mandrake
- patch for sdcc 2.3.3

* Sun Oct 20 2002 Pedro Lopez-Cabanillas <plcl@bigfoot.com> 2002_10_20
- first snapshot.
